# RollbackRequiredException (ARX API Documentation)

org.deidentifier.arx.exceptions

## Class RollbackRequiredException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.deidentifier.arx.exceptions.RollbackRequiredException

- All Implemented Interfaces:
    java.io.Serializable

      public class RollbackRequiredException
      extends java.lang.Exception

  This exception is raised, if the method that was called has left something in an invalid state that may breach privacy. To ensure privacy, you must roll-back the operation that you performed.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RollbackRequiredException()` Constructor
    `RollbackRequiredException(java.lang.String message)` Constructor
    `RollbackRequiredException(java.lang.String message, java.lang.Throwable cause)` Constructor
    `RollbackRequiredException(java.lang.Throwable cause)` Constructor

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RollbackRequiredException

          public RollbackRequiredException()

      Constructor

    - #### RollbackRequiredException

          public RollbackRequiredException(java.lang.String message)

      Constructor
      Parameters:
        `message` -

    - #### RollbackRequiredException

          public RollbackRequiredException(java.lang.String message,
                                   java.lang.Throwable cause)

      Constructor
      Parameters:
        `message` -
        `cause` -

    - #### RollbackRequiredException

          public RollbackRequiredException(java.lang.Throwable cause)

      Constructor
      Parameters:
        `cause` -